Release notes—Lobster Data Platform 26.2.0
Release date: 2026-04-21
Release Blog
For a detailed description of the new features, check our Release Blog.
Upgrade Note
Installations running Lobster Platform version 25.1-LTS can be upgraded directly to version 26.2 with some adjustments.
For any installations older than this, you cannot go straight to 26.2.
For more details, see 26.2: Upgrade preparation and Before starting an upgrade as part of our Platform Update Guide.
New Features & Improvements
LDP-6913
Process map: Several improvements have been made regarding search, path highlighting, displayed information, filtering, and design.
LDP-6660
The Lobster Data Platform now supports running on Java 21. We've implemented a banner—users running Java versions older than 21 will now see a warning about future deprecation.
LDP-6636
Trading Partner Manager: Added FTP as supported channel type.
LDP-6582
Admins can now enforce SSO by disabling the password login globally or in a site configuration.
LDP-6551
The platform now comes with the Lobster Application Wrapper, which enables the self-service restart capability of the Lobster Data Platform. Please review the upgrade instructions to use this capability.
LDP-6541
Phase 3 & Profile restart: Revamped the (Re-)Start dialog for profiles.
LDP-6422
Duplicate an operation (Ctrl+Plus or Command+Plus) to clone all settings, edit the path (e.g., /v1→/v2), prevent identical paths.
LDP-6336
Added the GET /health endpoint that allows getting the cluster health status. Example:
{
"clusterHealth": {
"nodes": [
{
"startTime": "",
"status": "DOWN",
"type": "PRIMARY_DMZ",
"uri": "http://127.0.0.1:8069"
},
{
"startTime": "",
"status": "DOWN",
"type": "SECONDARY_DMZ",
"uri": "http://10.99.133.8:8020"
},
{
"startTime": "",
"status": "DOWN",
"type": "SECONDARY_DMZ",
"uri": "http://10.99.133.9:8020"
},
{
"startTime": "2026-03-30T07:15:13.518Z",
"status": "UP",
"type": "WORKING_NODE",
"uri": "http://127.0.0.1:8025"
}
]
},
"overall": {
"startTime": "2026-03-30T07:15:32.803Z",
"status": "UP",
"version": "26.2.0"
}
}LDP-6317
Security: The session cookie is now set to httpOnly, which secures it from being read by a script. Also enabling restricted IFrame support to embed the LDP client into a third-party application (opening external tabs from an IFrame is not possible).
LDP-6294
Added support for HashiCorp Key/Value certificates.
LDP-6278
Added two new endpoints to initiate the platform restart process and get the status of the restart.
LDP-6276
Allows restarting the platform (DMZs, WN, NC) via both UI and APIs. Adds a health endpoint to get the cluster health. Adds a new UI that gives the overall health and state of the platform.
LDP-6257
The total count of all Lobster Bridge instances can be retrieved via metrics, as well as the count of Bridges with online, offline, and unknown.
LDP-6178
Pathfinder chat can now be minimized.
LDP-6168
API Manager: Added deprecation-related endpoint configurations as runtime variables.
LDP-6167
API Manager now sends standardized Deprecation, Sunset, and Warning (299) HTTP headers on all responses from deprecated endpoints so partner systems can automatically detect upcoming API retirements.
LDP-6166
API Manager now lets you mark operations as deprecated with a mandatory sunset date and optional warning message, showing deprecation in the endpoint list and OpenAPI spec.
LDP-6053
Function Amazon signature(): added to create Signature for services supporting Amazon v4 Signature
Function http() & http json-lookup(): added new map parameter REQUEST_HTTP_CONTENT_PATH to add files directly to request body.
LDP-6004
Added support for external certificates (e.g., Azure Key Vault). External certificates can be imported as own certificates and used as usual.
LDP-5781
SSH client settings can now be configured per channel via a dedicated configuration field, allowing fine-grained control of JSCH connection parameters without relying on global server settings.
LDP-5634
API Manager now supports rate-limiting policy configuration.
LDP-5540
New SalesForceBulkIUV2 to support Salesforce Bulk V2, increasing batches per job and cost-efficiency.
LDP-4508
Uploading a file via SFTP now requires file-delete permission if it's overwriting an existing file with the same name (as is already required with FTP).
LDP-4362
Normalized the usage of the words "Clone", "Copy", "Duplicate" to "Duplicate".
LDP-4205
The abbreviations CI and ASM have been replaced with longer versions to recognize them better.
LDP-4203
Removed redundant logout button from top menu bar. This does not affect the switch role/company button.
LDP-4022
Now all installable versions are displayed in the Update Center.
LDP-6583
Added possibility to export file field content of custom entities via meta exchange.
LDP-4476
Improved user settings menu (right upper corner).
Bug fixes
LDP-6841
Resolved an issue where response headers with the same name were not transferred correctly via DMZ.
LDP-6703
OAuth2: Bearer token auth type is now case insensitive again.
LDP-6606
Security: SSO client secrets are now stored encrypted in the database. Furthermore, an administrator can no longer read the secret in the user interface.
LDP-6521
AMQP: Fixed message acknowledgement when using message buffering together with a fixed prefetch size.
LDP-6495
Responses via DMZ are now switching to the new DMZ without errors, improving overall stability and reliability.
LDP-6426
JSON splitter: Now uses a different regex engine (re2j) to prevent a StackOverflowError of Java's own regex engine.
LDP-6420
If a temporary node controller is active, the DMZs are synchronizing with it on startup.
LDP-6311
Removed autocomplete mechanism for password fields.
LDP-6211
Statistics “Top profiles” now ignore time and filter by date only.
LDP-6157
Orchestration: Fixed wrong XML data structure when calling profiles that ignored namespaces on the input side.
LDP-6139
Clearing ./patch directory automatically at the start of each update run to avoid leftover patches causing incorrect behavior.
LDP-6119
Improved diagnostics for database connection tests to aid troubleshooting.
LDP-5788
Better automatic switching between primary and secondary DMZ nodes when failures occur, improving system reliability and availability. Pushback will now be synchronized more reliably when a secondary DMZ is active.
LDP-5785
The Generate SQL button is enabled by default under Plugins → SQL Console. If no DB Alias is selected, the user is prompted in the chatbox to choose one, after which a new chat session is started for interacting with the selected DB Alias. Additionally, when the DB Alias is changed, the chatbot automatically switches its context to the new DB Alias.
LDP-3556
DataCockpit Portals: The ribbon bar now shows all configured ribbon buttons in the active portal (runtime), not only in the portal editor.
LDP-310
Control center → Logs → Errors menu item now shows the number of errors in a badge.